import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 员工服务对象基类
 *
 * @export
 * @class IBIZSample0014ServiceBase
 * @extends {EntityServie}
 */
export default class IBIZSample0014ServiceBase extends EntityService {

    /**
     * Creates an instance of  IBIZSample0014ServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBIZSample0014ServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof IBIZSample0014ServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='ibizsample0014';
        this.APPDEKEY = 'ibizsample0014id';
        this.APPDENAME = 'ibizsample0014s';
        this.APPDETEXT = 'ibizsample0014name';
        this.APPNAME = 'web';
        this.SYSTEMNAME = 'demosys';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZSample0014ServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().post(`/ibizsample0014s/${context.ibizsample0014}/select`,data,isloading);

            return res;
    }

    /**
     * FetchCurIBIZSample0014接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZSample0014ServiceBase
     */
    public async FetchCurIBIZSample0014(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZSample0014ServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }
}